EDIT - bug #7528

Allow changing the Registration status in the RegistrationWorkingsetEditor

07/02/2018 01:53 PM - Andreas Kohlbecker

Status: Closed Start date:
Priority: New Due date:
Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.2
Severity: normal Found in Version:
Description

¢ Submitters should be able to set the status to Curation or to Rejected

e Curators should have all status available
Subtasks:
feature request # 7618: PhycoBank Curator rights Duplicate
Related issues:
Related to EDIT - feature request #6655: Implement a RegistrationManager with... Rejected
Related to EDIT - bug #7531: PermissionDeniedException on flushing registrati... Closed
Blocks PhycoBank - task #6168: Full registration workflow model Closed

Associated revisions

Revision 5ce3b66a - 07/04/2018 02:53 PM - Andreas Kohlbecker

ref #7528 ref #6655 introducing RegistrationStatusTransitions to provide a matrix of allowed RegistrationStatus transitions

Revision 725d1ff2 - 07/04/2018 03:06 PM - Andreas Kohlbecker

fix #7528 indroducing RegistrationStatusSelect to allow setting the status in the RegistrationWorkingsetEditor

History

#1 - 07/02/2018 01:53 PM - Andreas Kohlbecker
- Tags set to phycobank

#2 - 07/03/2018 06:21 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#3 - 07/04/2018 02:57 PM - Andreas Kohlbecker
- Blocks task #6168: Full registration workflow model added

#4 - 07/04/2018 03:01 PM - Andreas Kohlbecker

- Related to feature request #6655: Implement a RegistrationManager with state machine added

#5 - 07/04/2018 03:06 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|725d1ff22626d3b584606a29756c4be7c750acal.

#6 - 07/04/2018 03:15 PM - Andreas Kohlbecker

- Related to bug #7531: PermissionDeniedException on flushing registration with modified status even if the user has the required authority added

#7 - 07/04/2018 03:18 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 50 to 0
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/725d1ff22626d3b584606a29756c4be7c750aca1

This is now complete even if it is not yet possible for submitter to change the status due to the bug #7531. But this is another task which is handled
separately, so this issue here can be closed one the review has been done.

@Henning: Please review this implementation by testing with a user having the role Curator.

#8 - 08/03/2018 01:43 PM - Andreas Kohlbecker

Henning created an new and closely related ticket: #7618

#9 - 08/20/2018 02:20 PM - Wolf-Henning Kusber

- Status changed from Resolved to Duplicate

#10 - 08/27/2018 01:22 PM - Andreas Kohlbecker
- Status changed from Duplicate to In Progress
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3
This issue should not be closed as duplicate as it contains the references to the code changes.
| will rather close the issue after copying all relevant information to here:
outcome of the review made in issue #7618:

1. Curator can not choose all registration status, only Preparation and Curation are available
--> needs to be fixed
#11 - 08/29/2018 04:28 PM - Andreas Kohlbecker

- Status changed from In Progress to Closed

- Target version changed from Release 5.3 to Release 5.2

For curators all status are available but the selection of the available status is limited to guarantee a directed and clear workflow.
Only states which make sense for the next step in the workflow are allowed.

The possible transitions are:

Current status Next allowed status
PREPARATION CURATION

CURATION PREPARATION, READY
READY PUBLISHED, REJECTED
PUBLISHED

REJECTED

Closing this issue as solved.

03/20/2024 22


https://dev.e-taxonomy.eu/redmine/issues/7531
https://dev.e-taxonomy.eu/redmine/issues/7618
https://dev.e-taxonomy.eu/redmine/issues/7618
http://www.tcpdf.org

